<%= render :partial => 'admin/pages/subnav', :locals => {:np => false, :ep => false} %>

<div id="header">
	<h1>Your pages</h1>
	<h2>Gray denotes inactive pages.</h2><br/>
	<% if flash[:notice] %><div class="green flash"><%= flash[:notice] %></div><% end %>
</div>

<table class="list" cellspacing="0" cellpadding="0">
	
	<tr>
		<th class="first_col">Created At</th>
		<th>Title</th>
		<th>Excerpt</th>
		<th>Link</th>
		<th class="del_col">X</th>
	</tr>
	
	<% @pages.each_with_index do |page, index| -%>
		<tr class="<%= cycle('', 'alt_row') %><%= (index == 0 ? ' first_row' : '') %>">
			<td class="first_col"><%= page.created_at.strftime('%d %b, %Y') %></td>
			<td><%= link_to(page.title, edit_admin_page_url(page)) %></td>
			<td><%= truncate(page.body, 50) %></td>
			<td><%= page.slug %></td>
			<td class="del_col"><%= link_to 'X', admin_page_url(page), :method => :delete, :confirm => "You are about to delete the page '#{page.title}'. This is permanent.\n\nAre you ABSOLUTELY sure?" %></td>
		</tr>
	<% end -%>
	<% if @pages.empty? -%>
    <tr class="first_row"><td class="first_col" colspan="5"><span class="gray">There are no pages at this time.</span></td></tr>
	<% end -%>
</table>
<%= will_paginate(@pages) %>
